
QGIS Application - Bug report #16822

Copy/paste features from a table in one project to another table in different project results in NULLs 

in all attributes

2017-07-09 06:47 PM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 24721

Description

Seen this one before but it's been a long time.

The tables have identical structure but are in two different projects.

Every field is changed to NULL when the rows are posted to the new table.

Qgis build 7d67b02

History

#1 - 2017-07-09 06:51 PM - Giovanni Manghi

- Category changed from GUI to Vectors

- Status changed from Open to Feedback

- Priority changed from Normal to High

Please add sample data.

#2 - 2017-07-10 04:53 AM - Patrick Dunford

I'll do that shortly but just a quick note that your system doesn't appear to be emailing me like it used to. I haven't had any notification emails relating to any

issues in the last 3 months.

#3 - 2017-07-10 11:32 AM - Patrick Dunford

- File 16822.qgs.7z added

- File 16822-2.qgs.7z added

The issue occurs when pasting data from one project into another project when both are open at the same time in separate Qgis windows. This is

demonstrated by the two attached projects which each have a single table attached to them, the two tables are copies of each other.

#4 - 2017-07-13 01:23 PM - Giovanni Manghi

Patrick Dunford wrote:
I'll do that shortly but just a quick note that your system doesn't appear to be emailing me like it used to. I haven't had any notification emails relating

to any issues in the last 3 months.

we changed server and upgraded the Redmine installation. Check your account configurations.

#5 - 2017-07-13 01:47 PM - Giovanni Manghi

- Subject changed from Pasting rows from another table results in NULLs in all fields to Copy/paste features from a table in one project to another table 

in different project results in NULLs in all attributes

- Operating System deleted (Xubuntu 17.10)

- Affected QGIS version changed from master to 2.18.10

- Status changed from Feedback to Open

I confirm this issue on 2.18.10, if it ever worked as expected is not recent as also 2.14.16 is affected.

Copy/pasting features between different tables within the same project works as expected.

#6 - 2018-10-24 08:46 AM - Hugo Mercier

Confirmed on 2.18.16.

Not reproducable on 3.3.0

#7 - 2018-10-24 10:43 AM - Giovanni Manghi

- Status changed from Open to Feedback

Not reproducable on 3.3.0

then we should close this I guess.

#8 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

16822.qgs.7z 23.9 KB 2017-07-10 Patrick Dunford

16822-2.qgs.7z 22 KB 2017-07-10 Patrick Dunford
